<?php

namespace Litecms\Lead\Forms;

use Litepie\Form\FormInterpreter;

class Lead extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('lead/lead/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('lead/lead/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('lead/lead'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('lead/lead'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('lead/lead'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('lead/lead'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('lead::lead.label.name'),
                "placeholder" => trans('lead::lead.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('lead::lead.label.created_at'),
            'name' => trans('lead::lead.label.name'),
            'status' => trans('lead::lead.label.status'),
        ];
        self::$groups = [
            'main' => trans('lead::lead.groups.main'),
            'details' => trans('lead::lead.groups.details'),
            'images' => trans('lead::lead.groups.images'),
            'settings' => trans('lead::lead.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('lead::lead.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('lead::lead.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('lead::lead.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('lead::lead.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                
        ];

        return new static();
    }
}
